## erlang-p1-iconv 1.0.6

=== Makefile ===
all: src

src:
	rebar get-deps compile

clean:
	rebar clean

test:
	rebar skip_deps=true eunit

.PHONY: clean src

## erlang-p1-iconv 0.2014.04.30

=== debian/changelog ===
erlang-p1-iconv (0.2014.04.30-1) unstable; urgency=medium

  * Imported Upstream version 0.2014.04.30
  * Added use of dpkg-buildflags to debian/rules

 -- Philipp Huebner <debalance@debian.org>  Wed, 14 May 2014 11:22:20 +0200

erlang-p1-iconv (0.2013.12.09-2) unstable; urgency=medium

  * Added correct Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 May 2014 12:30:44 +0200

erlang-p1-iconv (0.2013.12.09-1) unstable; urgency=low

  * Initial release, see #744885 for background

 -- Philipp Huebner <debalance@debian.org>  Wed, 16 Apr 2014 18:33:57 +0200

=== debian/control ===
Source: erlang-p1-iconv
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/processone/eiconv


Package: erlang-p1-iconv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: erlang interface to libiconv
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


include /usr/share/dpkg/pkg-info.mk


DESTDIR=$(CURDIR)/debian/erlang-p1-iconv


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_configure:
	./configure
	dh_auto_configure


override_dh_auto_install:
	dh_auto_install
	for file in priv/lib/*.so ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_iconv-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_iconv-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_iconv-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done


override_dh_auto_clean:
	rm -f config.log config.status
	dh_auto_clean

## erlang-p1-iconv 0.2015.06.24

=== debian/changelog ===
erlang-p1-iconv (0.2015.06.24-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.06.24
  * Enabled eunit

 -- Philipp Huebner <debalance@debian.org>  Tue, 18 Aug 2015 07:54:22 +0200

erlang-p1-iconv (0.2015.02.23-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.02.23
  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control
  * Fix debian/copyright (make lintian happy)
  * Make use of autotools-dev
  * Have rebar honour LDFLAGS

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 11:10:20 +0200

## erlang-p1-iconv 0.2016.01.05

=== debian/changelog ===
erlang-p1-iconv (0.2016.01.05-1) unstable; urgency=medium

  * Imported Upstream version 0.2016.01.05 (aka 0.9.0)
  * Updated debian/copyright
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Thu, 14 Jan 2016 12:46:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: erlang-p1-iconv
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar
-Standards-Version: 3.9.5
+Build-Depends: autotools-dev, debhelper (>= 9), dh-rebar, erlang-eunit, erlang-syntax-tools
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/processone/eiconv
-
+Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-p1-iconv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-p1-iconv.git
 
 Package: erlang-p1-iconv
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,13 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-include /usr/share/dpkg/pkg-info.mk
-
+include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-iconv
 
 
 %:
-	dh $@ --buildsystem=rebar --with rebar
+	dh $@ --buildsystem=rebar --with rebar --with autotools-dev
 
 
 override_dh_auto_configure:
@@ -37,5 +28,6 @@
 
 
 override_dh_auto_clean:
-	rm -f config.log config.status
+	rm -f config.log config.status rebar.config
+	rm -rf $(CURDIR)/priv
 	dh_auto_clean

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-p1-iconv_$1.tar.gz/" \
  https://github.com/processone/eiconv/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-p1-iconv 1.0.1

=== debian/changelog ===
erlang-p1-iconv (1.0.1-1) unstable; urgency=medium

  * Imported Upstream version 1.0.1
  * Updated patches
  * Added (Build-)Depends on erlang-p1-utils (>= 1.0.4)

 -- Philipp Huebner <debalance@debian.org>  Fri, 05 Aug 2016 21:44:06 +0200

erlang-p1-iconv (1.0.0-2) unstable; urgency=medium

  * Improved debian/watch
  * Updated Standards-Version: 3.9.8 (no changes needed)
  * Enabled hardening

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 15:09:40 +0200

erlang-p1-iconv (1.0.0-1) unstable; urgency=medium

  * ProcessOne renamed eiconv to iconv
  * Imported Upstream version 1.0.0
  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated Vcs-* fields in debian/control
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 17 Feb 2016 22:04:53 +0100

=== debian/control ===
Source: erlang-p1-iconv
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: autotools-dev, debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-utils (>= 1.0.4), erlang-syntax-tools
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/iconv
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-iconv.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-iconv.git

Package: erlang-p1-iconv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.4)
Description: fast encoding conversion library for Erlang / Elixir
 This library is a native binding to the libiconv library.
 It was written for ejabberd which still uses it,
 but was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-iconv 1.0.2

=== debian/changelog ===
erlang-p1-iconv (1.0.2-2) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:57:39 +0200

erlang-p1-iconv (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * (Build-)Depend on erlang-p1-utils (>= 1.0.5)

 -- Philipp Huebner <debalance@debian.org>  Fri, 16 Sep 2016 15:14:58 +0200

=== debian/control ===
Source: erlang-p1-iconv
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: autotools-dev, debhelper (>= 9), dh-rebar, erlang-base, erlang-eunit, erlang-p1-utils (>= 1.0.5), erlang-syntax-tools
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/iconv
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-iconv.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-iconv.git

Package: erlang-p1-iconv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.5)
Description: fast encoding conversion library for Erlang / Elixir
 This library is a native binding to the libiconv library.
 It was written for ejabberd which still uses it,
 but was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-iconv
@@ -28,6 +29,6 @@
 
 
 override_dh_auto_clean:
-	rm -f config.log config.status rebar.config
+	rm -f config.log config.status vars.config
 	rm -rf $(CURDIR)/priv
 	dh_auto_clean

## erlang-p1-iconv 1.0.5

=== debian/changelog ===
erlang-p1-iconv (1.0.5-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Sep 2017 07:50:59 +0200

erlang-p1-iconv (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 15:38:13 +0200

erlang-p1-iconv (1.0.4-1~exp1) experimental; urgency=medium

  * New upstream version 1.0.4
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Apr 2017 14:47:50 +0200

=== debian/control ===
Source: erlang-p1-iconv
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: autotools-dev, debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit, erlang-p1-utils (>= 1.0.9), erlang-syntax-tools
Standards-Version: 4.0.0
Section: libs
Homepage: https://github.com/processone/iconv
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-iconv.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-iconv.git

Package: erlang-p1-iconv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.9)
Description: fast encoding conversion library for Erlang / Elixir
 This library is a native binding to the libiconv library.
 It was written for ejabberd which still uses it,
 but was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-iconv 1.0.6

=== debian/changelog ===
erlang-p1-iconv (1.0.6-2) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:50 +0100

erlang-p1-iconv (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * (Build-)Depend on erlang-base (>= 1:19.2)
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 19:59:15 +0100

=== debian/control ===
Source: erlang-p1-iconv
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: autotools-dev, debhelper (>= 9.20160114), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit,
               erlang-p1-utils (>= 1.0.10), erlang-syntax-tools
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/processone/iconv
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-iconv.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-iconv

Package: erlang-p1-iconv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-utils (>= 1.0.10)
Description: fast encoding conversion library for Erlang / Elixir
 This library is a native binding to the libiconv library.
 It was written for ejabberd which still uses it,
 but was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 
 %:
-	dh $@ --buildsystem=rebar --with rebar --with autotools-dev
+	dh $@ --buildsystem=rebar --with rebar
 
 
 override_dh_auto_configure:

## erlang-p1-iconv 1.0.8

=== debian/changelog ===
erlang-p1-iconv (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8
  * Added debian/upstream/metadata
  * debian/rules: remove trailing whitespace
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 16:23:58 +0200

erlang-p1-iconv (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7
  * Use secure copyright format uri in debian/copyright
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 27 Mar 2018 22:44:55 +0200

=== debian/control ===
Source: erlang-p1-iconv
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-utils (>= 1.0.12),
               erlang-syntax-tools
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-iconv
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-iconv.git
Homepage: https://github.com/processone/iconv

Package: erlang-p1-iconv
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.12)
Description: fast encoding conversion library for Erlang / Elixir
 This library is a native binding to the libiconv library.
 It was written for ejabberd which still uses it,
 but was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -32,3 +32,6 @@
 	rm -f config.log config.status vars.config
 	rm -rf $(CURDIR)/priv
 	dh_auto_clean
+
+
+override_dh_autoreconf:

## erlang-p1-iconv 1.0.10

=== debian/changelog ===
erlang-p1-iconv (1.0.10-3) unstable; urgency=medium

  * Fixed typo in long package description.
  * Set 'Rules-Requires-Root: no' in debian/control
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Feb 2020 22:35:29 +0100

erlang-p1-iconv (1.0.10-2) unstable; urgency=medium

  * Updated years in debian/copyright
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 12:04:07 +0200

erlang-p1-iconv (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 14:57:33 +0200

=== debian/control ===
Source: erlang-p1-iconv
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-eunit,
               erlang-p1-utils (>= 1.0.13),
               erlang-syntax-tools
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-iconv
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-iconv.git
Homepage: https://github.com/processone/iconv

Package: erlang-p1-iconv
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-p1-utils (>= 1.0.13)
Description: fast encoding conversion library for Erlang / Elixir
 This library is a native binding to the libiconv library.
 It was written for ejabberd which still uses it,
 but was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
-
+export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-iconv

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-iconv_$1.tar.gz/" \
  https://github.com/processone/iconv/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-iconv 1.0.11

=== debian/changelog ===
erlang-p1-iconv (1.0.11-1) unstable; urgency=medium

  * New upstream version 1.0.11
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 21:05:47 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.13),
+               erlang-p1-utils (>= 1.0.19),
                erlang-syntax-tools
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-iconv
@@ -21,7 +21,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.13)
+         erlang-p1-utils (>= 1.0.19)
 Description: fast encoding conversion library for Erlang / Elixir
  This library is a native binding to the libiconv library.
  It was written for ejabberd which still uses it,

## erlang-p1-iconv 1.0.12

=== debian/changelog ===
erlang-p1-iconv (1.0.12-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 18:31:31 +0100

erlang-p1-iconv (1.0.12-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 16:34:21 +0100

erlang-p1-iconv (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-iconv.install

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 22:44:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.19),
+               erlang-p1-utils (>= 1.0.21),
                erlang-syntax-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-iconv
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-iconv.git
 Homepage: https://github.com/processone/iconv
@@ -21,7 +21,8 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-utils (>= 1.0.19)
+         erlang-p1-utils (>= 1.0.21)
+Multi-Arch: allowed
 Description: fast encoding conversion library for Erlang / Elixir
  This library is a native binding to the libiconv library.
  It was written for ejabberd which still uses it,

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-iconv_$1.tar.gz/" \
  https://github.com/processone/iconv/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-iconv 1.0.13

=== Makefile ===
REBAR ?= rebar

all: src

src:
	$(REBAR) get-deps
	$(REBAR) compile

clean:
	$(REBAR) clean

.PHONY: clean src

=== debian/changelog ===
erlang-p1-iconv (1.0.13-4) unstable; urgency=medium

  * Dropped debian/erlang-p1-iconv.install and fixed clean target in
    debian/rules (closes: #1044237)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-iconv.lintian-overrides
    -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 16:01:50 +0100

erlang-p1-iconv (1.0.13-3) unstable; urgency=medium

  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 12:25:47 +0100

erlang-p1-iconv (1.0.13-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Philipp Huebner ]
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 10:16:00 +0200

erlang-p1-iconv (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated debian/watch
  * Updated Erlang dependencies
  * Dropped (Build-)Depends on erlang-p1-utils

 -- Philipp Huebner <debalance@debian.org>  Sat, 18 Dec 2021 12:44:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	./configure
 	dh_auto_configure
 
-
 override_dh_auto_install:
 	dh_auto_install
 	for file in priv/lib/*.so ; do \
@@ -27,11 +26,9 @@
 		fi ; \
 	done
 
-
 override_dh_auto_clean:
-	rm -f config.log config.status vars.config
+	rm -f compile_commands.json config.log config.status vars.config
 	rm -rf $(CURDIR)/priv
 	dh_auto_clean
 
-
 override_dh_autoreconf:

## erlang-p1-iconv 1.0.14

=== debian/changelog ===
erlang-p1-iconv (1.0.14-2) unstable; urgency=medium

  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright
  * debian/rules: add creation of symbolic link for native app name

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 10:45:51 +0100

erlang-p1-iconv (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 17:30:25 +0200

=== debian/control ===
Source: erlang-p1-iconv
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar (>= 0.0.6),
               erlang-base,
               erlang-eunit,
               erlang-syntax-tools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-iconv
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-iconv.git
Homepage: https://github.com/processone/iconv

Package: erlang-p1-iconv
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base, ${erlang-abi:Depends},
         ${erlang:Depends}
Multi-Arch: allowed
Description: fast encoding conversion library for Erlang / Elixir
 This library is a native binding to the libiconv library.
 It was written for ejabberd which still uses it,
 but was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_iconv-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
 		fi ; \
 	done
+	ln -s /usr/lib/erlang/lib/p1_iconv-$(DEB_VERSION_UPSTREAM) $(DESTDIR)/usr/lib/erlang/lib/iconv-$(DEB_VERSION_UPSTREAM)
 
 override_dh_auto_clean:
 	rm -f compile_commands.json config.log config.status vars.config

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-iconv_$1.tar.gz/" \
  https://github.com/processone/iconv/tags .*/v?(\d\S*)\.tar\.gz
